Planetary Return
POST
/planetary-return
curl -X POST https://api.astroway.info/v1/planetary-return \ -H "X-Api-Key: aw_live_..." \ -H "Content-Type: application/json" \ -d '{ "date": "1990-05-15", "time": "14:30:00", "timezoneOffset": 3, "latitude": 50.45, "longitude": 30.52, "planetId": 5, "year": 2024, "locationLat": 50.45, "locationLng": 30.52 }'const res = await fetch('https://api.astroway.info/v1/planetary-return', { method: 'POST', headers: { 'X-Api-Key': process.env.ASTROWAY_API_KEY, 'Content-Type': 'application/json', }, body: JSON.stringify({ "date": "1990-05-15", "time": "14:30:00", "timezoneOffset": 3, "latitude": 50.45, "longitude": 30.52, "planetId": 5, "year": 2024, "locationLat": 50.45, "locationLng": 30.52 }),});const { ok, data, error } = await res.json();if (!ok) throw new Error(error.message);console.log(data);import os, requests
r = requests.post( 'https://api.astroway.info/v1/planetary-return', headers={'X-Api-Key': os.environ['ASTROWAY_API_KEY'], 'Content-Type': 'application/json'}, json={ 'date': "1990-05-15", 'time': "14:30:00", 'timezoneOffset': 3, 'latitude': 50.45, 'longitude': 30.52, 'planetId': 5, 'year': 2024, 'locationLat': 50.45, 'locationLng': 30.52 },)result = r.json()if not result['ok']: raise RuntimeError(result['error']['message'])print(result['data'])<?phpuse GuzzleHttp\Client;
$client = new Client(['base_uri' => 'https://api.astroway.info/v1/']);$r = $client->post('planetary-return', [ 'headers' => ['X-Api-Key' => getenv('ASTROWAY_API_KEY')], 'json' => [ 'date' => '1990-05-15', 'time' => '14:30:00', 'timezoneOffset' => 3, 'latitude' => 50.45, 'longitude' => 30.52, 'planetId' => 5, 'year' => 2024, 'locationLat' => 50.45, 'locationLng' => 30.52, ],]);$result = json_decode($r->getBody(), true);if (!$result['ok']) throw new \RuntimeException($result['error']['message']);print_r($result['data']);Find all returns of any planet to its natal longitude within a given year. Returns full charts for each return.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
Birth data for a single natal chart. Required: date (YYYY-MM-DD), time (HH:mm:ss). Defaults to lat/lon/tz=0 if omitted; pass real values for accurate computation.
object
date required
string
time required
string
timezoneOffset
number
latitude
number
longitude
number
houseSystem
string
name
string
city
string
zodiacType
string
ayanamsaId
number
cosmogram
boolean
planetId required
number
year required
number
locationLat
number
locationLng
number
Example
{ "date": "1990-05-15", "time": "14:30:00", "timezoneOffset": 3, "latitude": 50.45, "longitude": 30.52, "planetId": 5, "year": 2024, "locationLat": 50.45, "locationLng": 30.52}Responses
Section titled “ Responses ”Successful calculation
Media type application/json
object
ok
boolean
data
object
returns
Array<object>
object
returnDate
string
returnTime
string
returnJd
number
chart
object
planets
Array
houses
object
ascendant
number
cusps
Array
Example
{ "ok": true}Validation error
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }} Корисно?
Дякуємо за фідбек.